#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	String
%define		pnam	Format
Summary:	String::Format - sprintf-like string formatting capabilities
Summary(pl.UTF-8):	String::Format - możliwości formatowania podobne do sprintf
Name:		perl-String-Format
Version:	1.17
Release:	1
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/String/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5635b975740122bab326ff2186cc97fb
URL:		http://search.cpan.org/dist/String-Format/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
String::Format lets you define arbitrary printf-like format
sequences to be expanded.  This module would be most useful
in configuration files and reporting tools, where the results
of a query need to be formatted in a particular way.  It was
inspired by mutt's index_format and related directives (see
<http://www.mutt.org/doc/manual/manual-6.html#index_format>).

%description -l pl.UTF-8
Moduł String::Format pozwala na definiowanie dowolnych sekwencji
formatujących w stylu printf. Jest najbardziej użyteczny w plikach
konfiguracyjnych i narzędziach raportujących, gdzie wyniki zapytań
muszą być sformatowane w określony sposób. Jest zainspirowany
index_format z mutta i powiązanymi dyrektywami (więcej pod adresem
<http://www.mutt.org/doc/manual/manual-6.html#index_format>).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/String/Format.pm
%{_mandir}/man3/String::Format.3pm*
%changelog
* Wed Nov 16 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-String-Format.git;a=log;h=master

* Wed Nov 16 2016 Jakub Bogusz <qboosh@pld-linux.org> 77f16b7
- updated to 1.17

* Thu Oct 15 2009 amateja <amateja@pld-linux.org> c5d12bb
- updated to 1.16

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c50ecf
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 82f510f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 05f9b3c
- converted to UTF-8

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 56f065b
- generic URL, added Changes to doc

* Sun Feb 26 2006 Maciej Pijanka <agaran@pld-linux.org> afe7457
- updated to 1.14, rel 1

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> c5d487e
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> 54f18da
- fixed perl-devel BR

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> 6619676
- new bconds

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 88acddd
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 235d75d
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 75bdfbd
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 304baca
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 8a5c3b4
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> ce531a7
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> b195c4c
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> 1c56d0a
- massive attack: change CPAN URLs

* Tue Aug 27 2002 Jakub Bogusz <qboosh@pld-linux.org> d00ed4e
- pl description, release 2

* Fri Aug 09 2002 radek <radek@pld-linux.org> b64ada2
- new, STBR

